<?php
/**
 * @version: 1.1                                                                                                                       
 * @copyright: Copyright (C) 2010 WebGift. All rights reserved.
 * @package: Elxis
 * @subpackage: Third-Party Templates/ Imagination WebGift
 * @author: Stavros Stratakis
 * @link: http://www.webgift.gr
 * @email: info@webgift.gr
 * @description: Imagination WebGift template developed and designed by Stavros Stratakis (WebGift) for Elxis CMS 2009.1 or newer!
 * @license: Creative Commons 3.0 SA
 * Elxis CMS is a Free Software                                                                                                        
 ***************************************************************************************************************************************/
 
 
defined('_VALID_MOS') or die('Direct Access to this location is not allowed.');

class tplimagination {
    private $tparams = array();
    private $css = array();
    public $ssl_live_site = '';
    private $errormsg = '';
    private $count = 0;
    private $noauth;


    /*********************/
    /* MAGIC CONSTRUCTOR */
    /*********************/
    public function __construct($tplparams) {
        $this->setSecureLive();
        $this->processparams($tplparams);
    }


    /**********************/
    /* PROCESS PARAMETERS */
    /**********************/
    private function processparams($tplparams) {
        global $mainframe, $fmanager;

        $folder = $mainframe->getCfg('absolute_path') .
            '/templates/imagination_webgift/images/slides/';
        $this->tparams['js'] = $tplparams->def('par_js', '');
        if (($this->tparams['js'] == '') && !preg_match('#^(http)#i', $this->tparams['js'])) {
            $this->tparams['js'] = '';
        }
        //Get and Check if ie --> 6
        $this->tparams['ie6not'] = $tplparams->def('ie6not', 1);
        if ($this->ie6() == 1) {
            $this->ie6case();
        }
        $this->tparams['par_overalltemplate'] = $tplparams->def('par_overalltemplate',
            'brave');
        //Get Menu Settings Parameters
        $this->tparams['menutype'] = $tplparams->def('menutype', 'mainmenu');
        $this->noauth = !$mainframe->getCfg('shownoauth');
        //Get Social parameters
        $this->tparams['show_socials'] = (int)$tplparams->def('show_socials', 1);
        $this->tparams['par_transparent'] = (int)$tplparams->def('par_transparent', 1);
        $this->tparams['face_link'] = trim($tplparams->def('face_link', ''));
        $this->tparams['tweet_link'] = trim($tplparams->def('tweet_link', ''));
        $this->tparams['contact_link'] = trim($tplparams->def('contact_link', ''));
        if (!preg_match('/^http/i', $this->tparams['face_link'])) {
            $this->tparams['face_link'] = '';
        }
        if (!preg_match('/^http/i', $this->tparams['tweet_link'])) {
            $this->tparams['tweet_link'] = '';
        }
        if (!preg_match('/^http/i', $this->tparams['contact_link'])) {
            $this->tparams['contact_link'] = '';
        }
        // Get Slogan , meta data params
        $this->tparams['slogan'] = $tplparams->def('par_slogan', '');
        $this->tparams['lang1'] = $tplparams->def('par_lang1', '');
        $this->tparams['slogan1'] = $tplparams->def('par_slogan1', '');
        $this->tparams['lang2'] = $tplparams->def('par_lang2', '');
        $this->tparams['slogan2'] = $tplparams->def('par_slogan2', '');
        $this->tparams['keys1'] = $tplparams->def('par_keys1', '');
        $this->tparams['desc1'] = $tplparams->def('par_desc1', '');
        $this->tparams['keys2'] = $tplparams->def('par_keys2', '');
        $this->tparams['desc2'] = $tplparams->def('par_desc2', '');
        $this->tparams['navbar'] = $tplparams->def('par_navbar', 'notgreen');
        $this->tparams['rightcol'] = (int)$tplparams->def('par_rightcol', 1);
        $this->tparams['leftcol'] = (int)$tplparams->def('par_leftcol', 1);
        if (($this->tparams['rightcol']) && ($this->tparams['leftcol'])) {
            $m = 970 - (2 * 188);
            $this->css[] = '#main-body { width:790px; }';
            $this->css[] = '#sitecontent { width: ' . $m . 'px; margin-left:5px; }';
            $this->css[] = '#leftcolumn { width: 175px; margin-left:6px; }';
            $this->css[] = '#rightcolumn { width: 175px; }';
        }
        if ((!$this->tparams['rightcol']) && ($this->tparams['leftcol'])) {
            $m = 970 - 200;
            $this->css[] = '#main-body { width: 974px; }';
            $this->css[] = '#sitecontent { width: ' . $m . 'px;float:right;}';
            $this->css[] = '#leftcolumn { width:175px; margin-left:6px; }';
            $this->css[] = '#rightcolumn { display: none; width: 0; }';
        }
        if (($this->tparams['rightcol']) && (!$this->tparams['leftcol'])) {
            $m = 970 - 200;
            $this->css[] = '#main-body { width: 780px; margin-left:8px; }';
            $this->css[] = '#sitecontent { width: ' . $m . 'px;float:left;}';
            $this->css[] = '#leftcolumn { display: none; width: 0; }';
            $this->css[] = '#rightcolumn { width:175px; margin-right:3px; }';
        }
        if ((!$this->tparams['rightcol']) && (!$this->tparams['leftcol'])) {
            $this->css[] = '#main-body {width: 955px; margin-left:10px;}';
            $this->css[] = '#sitecontent {width: 935px; margin:0 10px;}';
            $this->css[] = '#leftcolumn { display: none; width: 0; }';
            $this->css[] = '#rightcolumn { display: none; width: 0;  }';
        }
        // Get Path option
        $this->tparams['pway'] = (int)$tplparams->def('par_pway', 1);
        //Get Radius options
        $this->tparams['curvradius'] = (int)$tplparams->def('par_curvradius', 6);
        $this->tparams['curvmods'] = (int)$tplparams->def('par_curvmods', 1);
        $this->tparams['curvinp'] = (int)$tplparams->def('par_curvinp', 1);
        $this->tparams['curvbut'] = (int)$tplparams->def('par_curvbut', 1);
        /* Get Slider Parameters */
        $this->tparams['slider_switch'] = (int)$tplparams->def('slider_switch', 1);
        $this->tparams['assign_slide'] = (int)$tplparams->def('assign_slide', 0);
        $this->tparams['slide_speed'] = (int)$tplparams->def('slide_speed', 3000);
        $this->tparams['slide_trans'] = (int)$tplparams->def('slide_trans', 1000);
        if ((($this->tparams['slide_speed']) < ($this->tparams['slide_trans'])) || (($this->
            tparams['slide_speed']) == ($this->tparams['slide_trans']))) {
            $this->tparams['slide_speed'] = 3000;
            $this->tparams['slide_trans'] = 1000;
        }
        $this->tparams['shadow_height'] = (int)$tplparams->def('shadow_height', 280);
        if ($this->tparams['shadow_height'] < 150) {
            $this->tparams['shadow_height'] = 150;
        }
        $this->tparams['auto_play'] = (int)$tplparams->def('auto_play', 1);
        $this->tparams['pause_hover'] = (int)$tplparams->def('pause_hover', 1);
        $this->tparams['slide1_title'] = eUTF::utf8_trim($tplparams->def('slide1_title',
            ''));
        $this->tparams['slide1_link'] = trim($tplparams->def('slide1_link', ''));
        if (!preg_match('/^http/i', $this->tparams['slide1_link'])) {
            $this->tparams['slide1_link'] = '';
        }
        $this->tparams['slide1_image'] = $tplparams->def('slide1_image',
            'brave_template_ls.png');
        $this->tparams['slide2_title'] = eUTF::utf8_trim($tplparams->def('slide2_title',
            ''));
        $this->tparams['slide2_link'] = trim($tplparams->def('slide2_link', ''));
        if (!preg_match('/^http/i', $this->tparams['slide2_link'])) {
            $this->tparams['slide2_link'] = '';
        }
        $this->tparams['slide2_image'] = $tplparams->def('slide2_image',
            'human_template_ls.png');
        $this->tparams['slide3_title'] = eUTF::utf8_trim($tplparams->def('slide3_title',
            ''));
        $this->tparams['slide3_link'] = trim($tplparams->def('slide3_link', ''));
        if (!preg_match('/^http/i', $this->tparams['slide3_link'])) {
            $this->tparams['slide3_link'] = '';
        }
        $this->tparams['slide3_image'] = $tplparams->def('slide3_image',
            'noble_template_ls.png');
        $this->tparams['slide4_title'] = eUTF::utf8_trim($tplparams->def('slide4_title',
            ''));
        $this->tparams['slide4_link'] = trim($tplparams->def('slide4_link', ''));
        if (!preg_match('/^http/i', $this->tparams['slide4_link'])) {
            $this->tparams['slide4_link'] = '';
        }
        $this->tparams['slide4_image'] = $tplparams->def('slide4_image',
            'wine_template_ls.png');
        $this->tparams['slide5_title'] = eUTF::utf8_trim($tplparams->def('slide5_title',
            ''));
        $this->tparams['slide5_link'] = trim($tplparams->def('slide5_link', ''));
        if (!preg_match('/^http/i', $this->tparams['slide5_link'])) {
            $this->tparams['slide5_link'] = '';
        }
        $this->tparams['slide5_image'] = $tplparams->def('slide5_image',
            'wise_template_ls.png');
        $this->tparams['ua'] = trim($tplparams->get('par_ua', ''));
        for ($i = 1; $i < 6; $i++) {
            if ($this->tparams['slide' . $i . '_image'] != '-1') {
                $this->count += 1;
            }
        }
        $ifiles = $fmanager->listFiles($folder, "((\.jpg)|(\.jpeg)|(\.png)|(\.gif)|(\.JPG)|(\.PNG)|(\.JPEG)|(\.GIF))$");
        if (!$ifiles || (count($ifiles) == 0)) {
            $this->errormsg = 'No images found in folder : templates/imagination_webgift/images/slides/. Slide Shower will not play!';
        }
        if (($this->tparams['slide1_image'] == '') && ($this->tparams['slide2_image'] ==
            '') && ($this->tparams['slide3_image'] == '') && ($this->tparams['slide4_image'] ==
            '') && ($this->tparams['slide5_image'] == '')) {
            $this->errormsg = 'Either you haven\'t fill the parameters on Imagination WebGift Template parameters or on the folder \'templates/imagination_webgift/images/slides\' you haven\'t copy paste photos with the dimensions Width: 970px Height: 270px';
        }
        if (($this->tparams['slider_switch'] == 1) && (!is_dir($folder))) {
            $this->errormsg = 'Maybe you have deleted the folder \'slides\' which was located on \'templates/imagination_webgift/images/slides\'. Please create a folder named \'slides\' again and copy images there with the dimensions Width: 970px Height: 270px.' .
                "\n" . 'then set them on the Imagination WebGift Template Parameters';
        }
        if ($this->errormsg != '') {
            $this->errorscreen();
            exit;
        }
        $this->overalltpl();
    }


    /*******************************************/
    /* SET THE SECURE VERSION OF LIVE_SITE URL */
    /*******************************************/
    private function setSecureLive() {
        global $mainframe;
        $ssl = false;

        if (isset($_SERVER['HTTPS'])) {
            if (($_SERVER['HTTPS'] == 'on') || ($_SERVER['HTTPS'] == 1)) {
                $ssl = true;
            }
        }
        else
            if (isset($_SERVER['SERVER_PORT']) && ($_SERVER['SERVER_PORT'] == 443)) {
                $ssl = true;
            }
        if ($ssl === true) {
            $this->ssl_live_site = preg_replace('/^(http\:)/i', 'https:', $mainframe->
                getCfg('live_site'));
        }
        else {
            $this->ssl_live_site = $mainframe->getCfg('live_site');
        }
    }
    

    /******************************************/
    /* SET OVERALL TEMPLATE OF IMAGINATION WG */
    /******************************************/
    private function overalltpl() {
        $arrows = ($this->tparams['shadow_height'] / 2) - 30;
        $main_board = $this->tparams['shadow_height'] + 3;
        // Updated code about main body transparency. Ver.1.1
        if ($this->tparams['par_transparent'] == 1) {
            $this->css[] = '#content_top {background: url(' . $this->ssl_live_site .
                '/templates/imagination_webgift/images/content_top_bg.png) 0 0  scroll no-repeat;}';
            $this->css[] = '#container3 {background: url(' . $this->ssl_live_site .
                '/templates/imagination_webgift/images/content_bg.png) 0 0  scroll repeat-y;}';
            $this->css[] = '#content_bottom {background: url(' . $this->ssl_live_site .
                '/templates/imagination_webgift/images/content_bottom_bg.png) 0 0  scroll no-repeat;}';
            $this->css[] = '#leftcolumn div.moduletable , #rightcolumn div.moduletable {border:1px solid #f7f7f7;}';
            switch ($this->tparams['par_overalltemplate']) {
                case 'brave':
                    $this->css[] = '#content_user5,#content_user6,#content_user7,#content_user8{background-color:#e2e7ef;}';
                    break;
                case 'human':
                    $this->css[] = '#content_user5,#content_user6,#content_user7,#content_user8{background-color:#f7e3d3;}';
                    break;
                case 'noble':
                    $this->css[] = '#content_user5,#content_user6,#content_user7,#content_user8{background-color:#e5dfe7;}';
                    break;
                case 'wise':
                    $this->css[] = '#content_user5,#content_user6,#content_user7,#content_user8{background-color:#e1e7d8;}';
                    break;
                case 'wine':
                    $this->css[] = '#content_user5,#content_user6,#content_user7,#content_user8{background-color:#efd3d3;}';
                    break;
            }
        }
        else {
            $this->css[] = '#content_top {background: url(' . $this->ssl_live_site .
                '/templates/imagination_webgift/images/content_top_bgw.png) 0 0  scroll no-repeat;}';
            $this->css[] = '#container3 {background: url(' . $this->ssl_live_site .
                '/templates/imagination_webgift/images/content_bgw.png) 0 0  scroll repeat-y;}';
            $this->css[] = '#content_bottom {background: url(' . $this->ssl_live_site .
                '/templates/imagination_webgift/images/content_bottom_bgw.png) 0 0  scroll no-repeat;}';
            $this->css[] = '#leftcolumn div.moduletable , #rightcolumn div.moduletable {border:1px solid #dadada;}';
            $this->css[] = '#content_user5,#content_user6,#content_user7,#content_user8{background-color:#fff;}';
        }
        //end of main boby transparency code
        switch ($this->tparams['par_overalltemplate']) {
            case 'brave':
                $this->css[] = '#container4 {background: #466A9E url(' . $this->ssl_live_site .
                    '/templates/imagination_webgift/images/brave-bg.jpg) top right scroll no-repeat;}';
                $this->css[] = '#leftcolumn div.moduletable h3, #rightcolumn div.moduletable h3 {background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/modtitle_bg.png) top left no-repeat;}';
                $this->css[] = '#bottom-center{border-top:1px #3a5d95 solid;background-color: #fff;}';
                $this->css[] = '#horiznav_d a:hover,#horiznav_d li a#active_menu-nav {color:#3a5d95}';
                $this->css[] = '#content_user5 div.moduletable h3,#content_user6 div.moduletable h3,#content_user7 div.moduletable h3,#content_user8 div.moduletable h3{color:#fff;background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/modtitle_user.png) top left no-repeat;}';
                if ($this->tparams['slider_switch']) {
                    $this->css[] = '#slide_shower{background: #d0d9e5 url(' . $this->ssl_live_site .
                        '/templates/imagination_webgift/images/dots.png) top left repeat;border-top:1px #466A9E solid;}';
                }
                else {
                    $this->css[] = '#slide_shower{display:none;}';
                }
                $this->css[] = '#content_slider,#slide_shower {height:' . $main_board .
                    'px; }.home-slider,.home-slider .pane-content{height:' . $this->tparams['shadow_height'] .
                    'px;}a.arrow{top:' . $arrows . 'px;}';
                break;
            case 'human':
                $this->css[] = '#container4 {background: #D36D19 url(' . $this->ssl_live_site .
                    '/templates/imagination_webgift/images/human/human-bg.jpg) top right scroll no-repeat;}';
                $this->css[] = '#leftcolumn div.moduletable h3, #rightcolumn div.moduletable h3 {background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/human/modtitle_bg.png) top left no-repeat;}';
                $this->css[] = '#bottom-center,html{border-top:1px #D8843E solid;background-color: #fff;}';
                $this->css[] = '#content_user5 div.moduletable h3,#content_user6 div.moduletable h3,#content_user7 div.moduletable h3,#content_user8 div.moduletable h3{color:#fff;background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/human/modtitle_user.png) top left no-repeat;}';
                if ($this->tparams['slider_switch']) {
                    $this->css[] = '#slide_shower{background: #F7E2D1 url(' . $this->ssl_live_site .
                        '/templates/imagination_webgift/images/dots.png) top left repeat;border-top:1px #D36D19 solid;}';
                }
                else {
                    $this->css[] = '#slide_shower{display:none;}';
                }
                $this->css[] = '#horiznav_d a:hover,#horiznav_d li a#active_menu-nav{color:#D56f1b;}';
                $this->css[] = '#content_slider,#slide_shower {height:' . $main_board .
                    'px; }.home-slider,.home-slider .pane-content{height:' . $this->tparams['shadow_height'] .
                    'px;}a.arrow{top:' . $arrows . 'px;}';
                break;
            case 'noble':
                $this->css[] = '#container4 {background: #7A5A83 url(' . $this->ssl_live_site .
                    '/templates/imagination_webgift/images/noble/noble-bg.jpg) top right scroll no-repeat;}';
                $this->css[] = '#leftcolumn div.moduletable h3, #rightcolumn div.moduletable h3 {background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/noble/modtitle_bg.png) top left no-repeat;}';
                $this->css[] = '#bottom-center,html{border-top:1px #85698F solid;background-color: #fff;}';
                $this->css[] = '#content_user5 div.moduletable h3,#content_user6 div.moduletable h3,#content_user7 div.moduletable h3,#content_user8 div.moduletable h3{color:#fff;background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/noble/modtitle_user.png) top left no-repeat;}';
                if ($this->tparams['slider_switch']) {
                    $this->css[] = '#slide_shower{background: #EBE7EC url(' . $this->ssl_live_site .
                        '/templates/imagination_webgift/images/dots.png) top left repeat;border-top:1px #7A5A83 solid;}';
                }
                else {
                    $this->css[] = '#slide_shower{display:none;}';
                }
                $this->css[] = '#horiznav_d a:hover,#horiznav_d li a#active_menu-nav{color:#6C4874;}';
                $this->css[] = '#content_slider,#slide_shower {height:' . $main_board .
                    'px; }.home-slider,.home-slider .pane-content{height:' . $this->tparams['shadow_height'] .
                    'px;}a.arrow{top:' . $arrows . 'px;}';
                break;
            case 'wise':
                $this->css[] = '#container4 {background: #628334 url(' . $this->ssl_live_site .
                    '/templates/imagination_webgift/images/wise/wise-bg.jpg) top right scroll no-repeat;}';
                $this->css[] = '#leftcolumn div.moduletable h3, #rightcolumn div.moduletable h3 {background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/wise/modtitle_bg.png) top left no-repeat;}';
                $this->css[] = '#bottom-center,html{border-top:1px #6B8941 solid;background-color: #fff;}';
                $this->css[] = '#content_user5 div.moduletable h3,#content_user6 div.moduletable h3,#content_user7 div.moduletable h3,#content_user8 div.moduletable h3{color:#fff;background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/wise/modtitle_user.png) top left no-repeat;}';
                if ($this->tparams['slider_switch']) {
                    $this->css[] = '#slide_shower{background: #E2E8D9 url(' . $this->ssl_live_site .
                        '/templates/imagination_webgift/images/dots.png) top left repeat;border-top:1px #628334 solid;}';
                }
                else {
                    $this->css[] = '#slide_shower{display:none;}';
                }
                $this->css[] = '#horiznav_d a:hover,#horiznav_d li a#active_menu-nav{color:#648536;}';
                $this->css[] = '#content_slider,#slide_shower {height:' . $main_board .
                    'px; }.home-slider,.home-slider .pane-content{height:' . $this->tparams['shadow_height'] .
                    'px;}a.arrow{top:' . $arrows . 'px;}';
                break;
            case 'wine':
                $this->css[] = '#container4 {background: #AD1919 url(' . $this->ssl_live_site .
                    '/templates/imagination_webgift/images/wine/wine-bg.jpg) top right scroll no-repeat;}';
                $this->css[] = '#leftcolumn div.moduletable h3, #rightcolumn div.moduletable h3 {background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/wine/modtitle_bg.png) top left no-repeat;}';
                $this->css[] = '#bottom-center,html{border-top:1px #B22221 solid;background-color: #fff;}';
                $this->css[] = '#content_user5 div.moduletable h3,#content_user6 div.moduletable h3,#content_user7 div.moduletable h3,#content_user8 div.moduletable h3{color:#fff;background: url(' .
                    $this->ssl_live_site .
                    '/templates/imagination_webgift/images/wine/modtitle_user.png) top left no-repeat;}';
                if ($this->tparams['slider_switch']) {
                    $this->css[] = '#slide_shower{background: #F3DDDD url(' . $this->ssl_live_site .
                        '/templates/imagination_webgift/images/dots.png) top left repeat;border-top:1px #AD1919 solid;}';
                }
                else {
                    $this->css[] = '#slide_shower{display:none;}';
                }
                $this->css[] = '#horiznav_d a:hover,#horiznav_d li a#active_menu-nav{color:#AD1D1D;}';
                $this->css[] = '#content_slider,#slide_shower {height:' . $main_board .
                    'px; }.home-slider,.home-slider .pane-content{height:' . $this->tparams['shadow_height'] .
                    'px;}a.arrow{top:' . $arrows . 'px;}';
                break;
        }
    }
    

    /***********************************/
    /* SLIDE SHOWER FUNCTION CONSTRUCT */
    /***********************************/
    public function showslider() {
        $main_board = $this->tparams['shadow_height'] - 8;
        if ($this->tparams['slider_switch']) {

?>
     <script type="text/javascript">
        $(document).ready(function(){ for_you_events_init(); });
        function for_you_events_init() {
            /* homepage slider */
            if ( $('.home-slider').length == 1 ) {
                $('.home-slider').anythingSlider({
                    easing: "swing",                // Anything other than "linear" or "swing" requires the easing plugin
                    autoPlay: <?php

            echo ($this->tparams['auto_play'] == 0) ? 'false' : 'true';

?>,                 // This turns off the entire FUNCTIONALY, not just if it starts running or not
                    startStopped: false,            // If autoPlay is on, this can force it to start stopped
                    delay: <?php

            echo $this->tparams['slide_speed'];

?>, // How long between slide transitions in AutoPlay mode
                    animationTime: <?php

            echo $this->tparams['slide_trans'];

?>, // How long the slide transition takes
                    hashTags: false,                // Should links change the hashtag in the URL?
                    buildNavigation: true,          // If true, builds and list of anchor links to link to each slide
                    pauseOnHover: <?php

            echo ($this->tparams['pause_hover'] == 0) ? 'false' : 'true';

?>,             // If true, and autoPlay is enabled, the show will pause on hover
                    startText: "",             // Start text
                    stopText: "",               // Stop text
                    navigationFormatter: null       // Details at the top of the file on this use (advanced use)
                    });
                    }
                    /*end of homepage slider*/
                    /* tab panels mouse hovering */
                    var mhovers = {
                        ".home-pane-3":".home-pane-3 img",
                        ".home-pane-4":".home-pane-4 img",
                        ".err2_pane_4":".err2_pane_4 img",
                        ".err2_pane_5":".err2_pane_5 img",
                        ".err2_pane_6":".err2_pane_6 img",
                        "#template-f #panel-flexible-112 #row-3 .f_pane_7 h4":"#template-f #panel-flexible-112 #row-3 .f_pane_7 .pane-content img",
                        "#template-su #row-1 .su_pane_4":"#template-su #row-1 .su_pane_4 h6 img",
                        "#template-su #row-2 .su_pane_5":"#template-su #row-2 .su_pane_5 img",
                        "#template-su #row-4 .s4_pane_4":"#template-su #row-4 .s4_pane_4 img",
                        "#template-su #row-5 .su_pane_5":"#template-su #row-5 .su_pane_5 img",
                        "#template-su #row-9 .su_pane_4":"#template-su #row-9 .su_pane_4 img",
                        "#template-su #row-11 .su_pane_2":"#template-su #row-11 .su_pane_2 img",
                        ".home-pane-2 a span":".home-pane-2 img",
                        "#template-g .row-wrapper-main-row .g_pane_1": "#template-g .row-wrapper-main-row .g_pane_1 img",
                        "#template-u1 .u1_pane_8 a span":"#template-u1 .u1_pane_8 a img"
                        };
                        jQuery.each(mhovers, function(i, val) {
                            $(i).hover(
                            function () {
                                $(val).addClass("hover"); return false;
                                },
                                function () {
                                    $(val).removeClass("hover"); return false;
                                    });
                                    $(i).mousedown(
                                    function () {
                                        $(val).removeClass("hover");
                                        $(val).addClass("active"); return false;
                                        });
                                        $(i).mouseup(
                                        function () {
                                            $(val).addClass("hover");
                                            $(val).removeClass("active"); return false;});
                                            $(i).mouseout(
                                            function () {
                                                $(val).removeClass("active"); return false;}
                                                );
                                            });
                        }
                    </script>
        <?php

            echo '<div class="home-slider">';
            echo '<div class="pane-content">';
            echo '<ul>';
            for ($i = 1; $i < $this->count + 1; $i++) {
                echo '<li><a href="' . $this->tparams['slide' . $i . '_link'] . '" title="' . $this->
                    tparams['slide' . $i . '_title'] . '"><img style="width:970px;height:' . $main_board .
                    'px;" src="' . $this->ssl_live_site .
                    '/templates/imagination_webgift/images/slides/' . $this->tparams['slide' . $i .
                    '_image'] . '" alt="' . $this->tparams['slide' . $i . '_title'] . '"/></a></li>';
            }
            echo '</ul>';
            echo '</div>';
            echo '</div>';
        }
    }


    /***************************************/
    /* CHECK RIGHT LEFT COLUMN TURNED OFF */
    /**************************************/
    public function right_left() {
        if ((!$this->tparams['rightcol']) && (!$this->tparams['leftcol'])) {
            return 0;
        }
    }
    

    /**********************************/
    /* CURVE CORNERS INIT, JS AND CSS */
    /**********************************/
    public function curvycorners() {
        global $mainframe;

        $r = $this->tparams['curvradius'];
        echo '<script type="text/javascript" src="' . $this->ssl_live_site .
            '/templates/imagination_webgift/includes/scrollpage.js"></script>' . "\n";
        echo '<script type="text/javascript" src="' . $this->ssl_live_site .
            '/templates/imagination_webgift/includes/roundies-compressed.js"></script>' . "\n";
        echo '<script type="text/javascript">' . "\n";
        echo 'DD_roundies.addRule(\'div.moduletable-leftcolumn\', \'' . $r . 'px\', true);' .
            "\n";
        echo 'DD_roundies.addRule(\'div.moduletable-bottom2\', \'' . $r . 'px\', true);' .
            "\n";
        echo 'DD_roundies.addRule(\'div.bubble p\', \'' . $r . 'px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'#content_user5\', \'' . $r . 'px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'#content_user6\', \'' . $r . 'px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'#content_user7\', \'' . $r . 'px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'#content_user8\', \'' . $r . 'px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'p.roundbox\', \'12px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'.business-card\', \'' . $r . 'px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'div.blogleading\', \'' . $r . 'px\', true);' . "\n";
        echo 'DD_roundies.addRule(\'.inside fieldset.contentpaneopen\', \'' . $r . 'px\', true);' .
            "\n";
        echo 'DD_roundies.addRule(\'fieldset.contentpaneopen legend\', \'' . $r . 'px\', true);' .
            "\n";
        echo 'DD_roundies.addRule(\'.dynamic-tab-pane-control .tab-row .tab\', \'3px\', true);' .
            "\n";
        if ($this->tparams['curvmods']) {
            echo 'DD_roundies.addRule(\'div.moduletable\', \'' . $r . 'px\', true);' . "\n";
        }
        if ($this->tparams['curvinp']) {
            echo 'DD_roundies.addRule(\'input.rescomtext\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.text_area\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.code\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.legend\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.highlight\', \'' . $r . 'px\', true);' . "\n";
        }
        if ($this->tparams['curvbut']) {
            echo 'DD_roundies.addRule(\'input.button\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.button\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.pagenav_prev a\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.pagenav_next a\', \'' . $r . 'px\', true);' . "\n";
            echo 'DD_roundies.addRule(\'.pagenav\', \'' . $r . 'px\', true);' . "\n";
        }
        echo "</script>\n";
    }
    
    
    /*****************************/
    /* RUN SLIDER ONLY FIST PAGE */
    /****************************/
    public function slideron() {
        if ($this->tparams['assign_slide'] == 0) {
            return 'true';
        }
        else {
            return 'false';
        }
    }
    
    
    /******************************/
    /* IE 6 MESSAGE ERROR DISPLAY */
    /*****************************/
    public function ie6() {
        if ($this->tparams['ie6not'] == 0) {
            return '0';
        }
        else {
            return '1';
        }
    }
    
    
    /********************************/
    /* IE 6 CASE PARAMETERS NOT DIS */
    /*******************************/
    public function ie6case() {
        global $mainframe;

        $browser = $_SERVER['HTTP_USER_AGENT'];
        if ($msie = strpos($browser, "MSIE")) {
            $ver = substr($browser, $msie + 5, 3);
            if (($ver <= 6.0)) {
                $this->errormsg = 'Welcome to ' . $mainframe->getCfg('sitename') . '.!<br />' .
                    $mainframe->getCfg('live_site') . '<br /><br />It appears you\'re using <b style="color:#ff0000;">Microsoft Internet Explorer ' .
                    $ver . '.</b>
                        An outdated version of Internet Explorer by Microsoft. <br />So we propose :<br />
                        Before you can proceed to this site you will need to upgrade to a modern browser, such as <a href="http://www.firefox.com" target="_blank" title="Firefox Browser">FireFox</a> or <a href="http://www.http://www.microsoft.com/windows/internet-explorer/default.aspx" target="_blank" title="Internet Explorer Browser">Internet Explorer newer Version.';
            }
        }
    }
    
    
    /******************************/
    /* SOCIAL MEDIA DISPLAY FUNCT */
    /*****************************/
    public function social_media() {
        global $lang;
        if ($this->tparams['show_socials'] == 1) {
            if ($lang === 'greek') {
                echo '<div id="socials">';
                if ($this->tparams['face_link'] != '') {
                    echo '<a id="faceb" href="' . $this->tparams['face_link'] .
                        '" target="_blank" title="Ακολουθήστε μας στο Facebook">Ακολουθήστε μας στο</a>';
                }
                if ($this->tparams['tweet_link'] != '') {
                    echo '<a id="tweet" href="' . $this->tparams['tweet_link'] .
                        '" target="_blank" title="Ακολουθήστε μας στο Twitter">ή</a>';
                }
                if ($this->tparams['contact_link'] != '') {
                    echo '<a id="msg" href="' . $this->tparams['contact_link'] .
                        '" title="Επικοινωνήστε μαζί μας">Στείλτε μας ένα</a>';
                }
                echo '</div>';
            }
            else {
                echo '<div id="socials">';
                if ($this->tparams['face_link'] != '') {
                    echo '<a id="faceb" href="' . $this->tparams['face_link'] .
                        '" target="_blank" title="Follow us on Facebook">Follow us on</a>';
                }
                if ($this->tparams['tweet_link'] != '') {
                    echo '<a id="tweet" href="' . $this->tparams['tweet_link'] .
                        '" target="_blank" title="Follow us on Twitter">or</a>';
                }
                if ($this->tparams['contact_link'] != '') {
                    echo '<a id="msg" href="' . $this->tparams['contact_link'] .
                        '" title="Contant with us">Send us a</a>';
                }
                echo '</div>';
            }
        }
        else {
            return;
        }
    }
    
    
    /*****************/
    /* GET PARAMETER */
    /*****************/
    public function pget($p = '') {
        if (($p != '') && isset($this->tparams[$p])) {
            return $this->tparams[$p];
        }
        return '';
    }
    
    
    /******************/
    /* DISPLAY SLOGAN */
    /******************/
    public function showslogan() {
        global $lang;
        $slogan = '';
        if (($this->tparams['lang1'] == $lang) && (trim($this->tparams['slogan1']) != '')) {
            $slogan = $this->tparams['slogan1'];
        }
        else
            if (($this->tparams['lang2'] == $lang) && (trim($this->tparams['slogan2']) != '')) {
                $slogan = $this->tparams['slogan2'];
            }
            else
                if (trim($this->tparams['slogan']) != '') {
                    $slogan = $this->tparams['slogan'];
                }
        if ($slogan != '') {
            echo '<div>' . $slogan . "</div>\n";
        }
    }
    
    
    /***********************/
    /* OVERWRITE META DATA */
    /***********************/
    public function makemeta() {
        global $lang, $mainframe;
        if ($this->tparams['lang1'] == $lang) {
            if (trim($this->tparams['keys1']) != '') {
                $mainframe->_config->MetaKeys = $this->tparams['keys1'];
            }
            if (trim($this->tparams['desc1']) != '') {
                $mainframe->_config->MetaDesc = $this->tparams['desc1'];
            }
        }
        else
            if ($this->tparams['lang2'] == $lang) {
                if (trim($this->tparams['keys2']) != '') {
                    $mainframe->_config->MetaKeys = $this->tparams['keys2'];
                }
                if (trim($this->tparams['desc2']) != '') {
                    $mainframe->_config->MetaDesc = $this->tparams['desc2'];
                }
            }
    }
    
    
    /*****************************/
    /* GENERATE AND DISPLAY MENU */
    /*****************************/
    public function showMenu() {
        $rows = $this->getcategories();
        echo '<ul class="imagination_menu" id="imaginationhmenu">' . "\n";
        if ($rows) {
            foreach ($rows as $row) {
                if ($row['parent'] > 0) {
                    continue;
                }
                if (ereg('option=', $row['link']) && !eregi('Itemid=', $row['link'])) {
                    $row['link'] .= '&Itemid=' . $row['id'];
                }
                $link = sefRelToAbs($row['link'], $this->getseolink($row));
                $target = ($row['browserNav'] == '0') ? '_self' : '_blank';
                echo '<li><a href="' . $link . '" title="' . $row['name'] . '" target="' . $target .
                    '">' . $row['name'] . "</a>\n";
                if ($row['children'] > 0) {
                    $c1rows = $this->getchildren($rows, $row['id'], $row['children']);
                    if ($c1rows) {
                        echo "<ul>\n";
                        foreach ($c1rows as $c1row) {
                            if (ereg('option=', $c1row['link']) && !eregi('Itemid=', $c1row['link'])) {
                                $c1row['link'] .= '&Itemid=' . $c1row['id'];
                            }
                            $link = sefRelToAbs($c1row['link'], $this->getseolink($c1row));
                            $target = ($c1row['browserNav'] == '0') ? '_self' : '_blank';
                            $class = ($c1row['children'] > 0) ? ' class="velos"' : '';
                            echo '<li><a  href="' . $link . '" title="' . $c1row['name'] . '" target="' . $target .
                                '" ' . $class . '>' . $c1row['name'] . "</a>\n";
                            if ($c1row['children'] > 0) {
                                $c2rows = $this->getchildren($rows, $c1row['id'], $c1row['children']);
                                if ($c2rows) {
                                    echo "<ul>\n";
                                    $c1 = 0;
                                    foreach ($c2rows as $c2row) {
                                        if (ereg('option=', $c2row['link']) && !eregi('Itemid=', $c2row['link'])) {
                                            $c2row['link'] .= '&Itemid=' . $c2row['id'];
                                        }
                                        $link = sefRelToAbs($c2row['link'], $this->getseolink($c2row));
                                        $target = ($c2row['browserNav'] == '0') ? '_self' : '_blank';
                                        echo '<li><a href="' . $link . '" title="' . $c2row['name'] . '" target="' . $target .
                                            '">' . $c2row['name'] . "</a>\n";
                                        $c1 = 1;
                                        if ($c2row['children'] > 0) {
                                            $c3rows = $this->getchildren($rows, $c2row['id'], $c2row['children']);
                                            if ($c3rows) {
                                                echo "<ul>\n";
                                                $c2 = 0;
                                                foreach ($c3rows as $c3row) {
                                                    if (ereg('option=', $c3row['link']) && !eregi('Itemid=', $c3row['link'])) {
                                                        $c3row['link'] .= '&Itemid=' . $c3row['id'];
                                                    }
                                                    $link = sefRelToAbs($c3row['link'], $this->getseolink($c3row));
                                                    $target = ($c3row['browserNav'] == '0') ? '_self' : '_blank';
                                                    echo '<li><a href="' . $link . '" title="' . $c3row['name'] . '" target="' . $target .
                                                        '">.' . $c3row['name'] . "</a></li>\n";
                                                    $c2 = 1;
                                                }
                                                echo "</ul>\n";
                                            }
                                        }
                                        echo "</li>\n";
                                    }
                                    echo "</ul>\n";
                                }
                            }
                            echo "</li>\n";
                        }
                        echo "</ul>\n";
                    }
                }
                echo "</li>\n";
            }
        }
        echo "</ul>\n";
    }


    /************************/
    /* GET MENU ITEMS  TREE */
    /************************/
    private function getcategories() {
        global $database, $my, $cur_template, $mainframe, $lang;
        $access = !$mainframe->getCfg('shownoauth');
        $query = "SELECT * FROM #__menu WHERE menutype='" . $this->tparams['menutype'] .
            "' AND published='1' AND ((language IS NULL) OR (language LIKE '%" . $lang .
            "%'))" . ($access ? "\n AND access IN (" . $my->allowed . ")" : '') . "\n ORDER BY ordering ASC";
        $database->setQuery($query);
        $cats = $database->loadRowList('id');
        if (!$cats) {
            return array();
        }
        $onlycats = array();
        $children = array();
        $excludecids = array();
        foreach ($cats as $v) {
            if (count($onlycats) > 0) {
                if ($v['parent'] == 0) {
                    if (!in_array($v['id'], $onlycats)) {
                        $excludecids[] = $v['id'];
                        continue;
                    }
                }
                if ($v['parent'] > 0) {
                    if (in_array($v['parent'], $excludecids)) {
                        continue;
                    }
                }
            }
            $pt = $v['parent'];
            $rows = isset($children[$pt]) ? $children[$pt] : array();
            array_push($rows, $v);
            $children[$pt] = $rows;
        }
        unset($excludecids, $onlycats);
        $levellimit = 10;
        $rows = $this->treeRecurse(0, array(), $children, max(0, $levellimit - 1));
        return $rows;
    }
    
    
    /********************************/
    /* SEO PRO OPTIMIZATION FOR MENU*/
    /********************************/
    protected function getseolink($row) {
        $seolink = '';
        switch ($row->type) {
            case 'wrapper':
                $seolink = 'ext/' . $row->seotitle . '.html';
                break;
        }
        return $seolink;
    }
    
    
    /***************************/
    /* GET SUBMENU  CHILDREN  */
    /**************************/
    private function getchildren($rows, $parent = 0, $max = 0) {
        $out = array();
        $c = 0;
        foreach ($rows as $row) {
            if ($row['parent'] == $parent) {
                $out[] = $row;
                $c++;
            }
            if ($c >= $max) {
                break;
            }
        }
        return $out;
    }


    /************************/
    /* BUILD RECURSIVE TREE */
    /************************/
    private function treeRecurse($id, $list, &$children, $maxlevel = 9999, $level =
        0) {
        if (@$children[$id] && $level <= $maxlevel) {
            foreach ($children[$id] as $v) {
                $id = $v['id'];
                $pt = $v['parent'];
                $list[$id] = $v;
                $list[$id]['children'] = count(@$children[$id]);
                $list = $this->treeRecurse($id, $list, $children, $maxlevel, $level + 1);
            }
        }
        return $list;
    }


    /*****************************/
    /* GOOGLE ANALYTICS TRACKING */
    /*****************************/
    public function googleAnalyticsData() {
        if ($this->tparams['ua'] == '') {
            return;
        }

?>
        <script type="text/javascript">
        /* <![CDATA[ */
        var _gaq = _gaq || [];
        _gaq.push(['_setAccount', '<?php

        echo $this->tparams['ua'];

?>']);
        _gaq.push(['_trackPageview']);
        (function() {
            var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
            ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
            })();
            /* ]]> */
            </script>
<?php

    }
    
    
    /**********************/
    /* SHOW ERROR MESSAGE */
    /**********************/
    private function errorscreen() {
        echo '<p style="font-family:tahoma;font-size:13px;margin-top:10px; margin-bottom:10px; padding:20px 20px 10px 40px;border-right:1px solid #e7e7e7; border-top:1px solid #e7e7e7; border-left:5px solid #e7e7e7; border-bottom:1px solid #e7e7e7; background:#F6F6F6 url(' .
            $this->ssl_live_site .
            '/templates/imagination_webgift/images/clip.gif) no-repeat left center;">' . "\n";
        echo '<span style="font-weight:bold; color: #CC0000;">' . _ELX_ERROR .
            "</span><br />\n";
        echo ($this->errormsg != '') ? $this->errormsg : 'Unknown error';
        echo "</p>\n";
    }


    /************************/
    /* INJECT GENERATED CSS */
    /************************/
    public function injectcss() {
        global $task, $option;
        echo '<script type="text/javascript" src="' . $this->ssl_live_site .
            '/templates/imagination_webgift/includes/topmenu_drop.js"></script>' . "\n";
        if (count($this->css) > 0) {
            echo '<style type="text/css">' . "\n";
            foreach ($this->css as $rule) {
                echo $rule . "\n";
            }
            echo "</style>\n";
        }
        if ($this->tparams['slider_switch']) {
            if ($this->tparams['assign_slide']) {
                echo '<link type="text/css" rel="stylesheet" media="all" href="' . $this->
                    ssl_live_site . '/templates/imagination_webgift/css/slide_shower.css" />' . "\n";
                echo '<script type="text/javascript" src="' . $this->ssl_live_site .
                    '/templates/imagination_webgift/includes/jquery.js"></script>' . "\n";
                echo '<script type="text/javascript" src="' . $this->ssl_live_site .
                    '/templates/imagination_webgift/includes/jquery.anythingslider.js"></script>' .
                    "\n";
            }
            if (!$this->tparams['assign_slide']) {
                if ((!$task) && (($option == 'com_frontpage') || ($option == 'com_eshop') || ($option ==
                    'com_reservations') || ($option == 'com_eforum') || ($option == 'com_content'))) {
                    echo '<link type="text/css" rel="stylesheet" media="all" href="' . $this->
                        ssl_live_site . '/templates/imagination_webgift/css/slide_shower.css" />' . "\n";
                    echo '<script type="text/javascript" src="' . $this->ssl_live_site .
                        '/templates/imagination_webgift/includes/jquery.js"></script>' . "\n";
                    echo '<script type="text/javascript" src="' . $this->ssl_live_site .
                        '/templates/imagination_webgift/includes/jquery.anythingslider.js"></script>' .
                        "\n";

                }
            }
        }
    }
}

?>